=== resources/icons/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

#Install our icons
FILE( GLOB SCRIBUS_ICONS_UNSORTED *.jpg *.png *.xpm )
INSTALL(FILES ${SCRIBUS_ICONS_UNSORTED} DESTINATION ${ICONDIR})

#Install our 16x16 icons
FILE( GLOB SCRIBUS_ICONS_16 16/*.jpg 16/*.png 16/*.xpm )
INSTALL(FILES ${SCRIBUS_ICONS_16} DESTINATION ${ICONDIR}16)

#Install our 22x22 icons
FILE( GLOB SCRIBUS_ICONS_22 22/*.jpg 22/*.png 22/*.xpm )
INSTALL(FILES ${SCRIBUS_ICONS_22} DESTINATION ${ICONDIR}22)

#Install our 32x32 icons
FILE( GLOB SCRIBUS_ICONS_32 32/*.jpg 32/*.png 32/*.xpm )
INSTALL(FILES ${SCRIBUS_ICONS_32} DESTINATION ${ICONDIR}32)
