=== scribus/designer/CMakeLists.txt ===
# it's unfinished ADD_SUBDIRECTORY(smwidgets)

INCLUDE_DIRECTORIES(
${FREETYPE_INCLUDE_DIRS}
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

SET(SCRIBUS_SCRSPINBOX_PLUGIN_MOC_CLASSES
scrspinboxplugin.h
../commonstrings.h
../scrspinbox.h
)

SET(SCRIBUS_SCRSPINBOX_PLUGIN_SOURCES
scrspinboxplugin.cpp
../commonstrings.cpp
../fparser.cpp
../scrspinbox.cpp
../units.cpp
)

SET(SCRIBUS_SCTABLEWIDGET_PLUGIN_MOC_CLASSES
sctablewidgetplugin.h
../sctablewidget.h
)

SET(SCRIBUS_SCTABLEWIDGET_PLUGIN_SOURCES
sctablewidgetplugin.cpp
../sctablewidget.cpp
)

SET(SCRIBUS_SCTEXTBROWSER_PLUGIN_MOC_CLASSES
sctextbrowserplugin.h
../sctextbrowser.h
../urllauncher.h
)

SET(SCRIBUS_SCTEXTBROWSER_PLUGIN_SOURCES
sctextbrowserplugin.cpp
../sctextbrowser.cpp
../urllauncher.cpp
)

SET(SCRIBUS_SCRSPINBOX_PLUGIN "scribus_scrspinbox")
SET(SCRIBUS_SCTABLEWIDGET_PLUGIN "scribus_sctablewidget")
SET(SCRIBUS_SCTEXTBROWSER_PLUGIN "scribus_sctextbrowser")

QT4_WRAP_CPP(SCRIBUS_SCRSPINBOX_PLUGIN_MOC_SOURCES ${SCRIBUS_SCRSPINBOX_PLUGIN_MOC_CLASSES})
QT4_WRAP_CPP(SCRIBUS_SCTABLEWIDGET_PLUGIN_MOC_SOURCES ${SCRIBUS_SCTABLEWIDGET_PLUGIN_MOC_CLASSES})
QT4_WRAP_CPP(SCRIBUS_SCTEXTBROWSER_PLUGIN_MOC_SOURCES ${SCRIBUS_SCTEXTBROWSER_PLUGIN_MOC_CLASSES})

ADD_LIBRARY(${SCRIBUS_SCRSPINBOX_PLUGIN} SHARED ${SCRIBUS_SCRSPINBOX_PLUGIN_SOURCES} ${SCRIBUS_SCRSPINBOX_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SCRSPINBOX_PLUGIN}
  ${QT_LIBRARIES}
)

ADD_LIBRARY(${SCRIBUS_SCTABLEWIDGET_PLUGIN} SHARED ${SCRIBUS_SCTABLEWIDGET_PLUGIN_SOURCES} ${SCRIBUS_SCTABLEWIDGET_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SCTABLEWIDGET_PLUGIN}
  ${QT_LIBRARIES}
)

ADD_LIBRARY(${SCRIBUS_SCTEXTBROWSER_PLUGIN} SHARED ${SCRIBUS_SCTEXTBROWSER_PLUGIN_SOURCES} ${SCRIBUS_SCTEXTBROWSER_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SCTEXTBROWSER_PLUGIN}
  ${QT_LIBRARIES}
)

IF(APPLE)
  TARGET_LINK_LIBRARIES(${SCRIBUS_SCRSPINBOX_PLUGIN} "-undefined dynamic_lookup")
  TARGET_LINK_LIBRARIES(${SCRIBUS_SCTABLEWIDGET_PLUGIN} "-undefined dynamic_lookup")
  TARGET_LINK_LIBRARIES(${SCRIBUS_SCTEXTBROWSER_PLUGIN} "-undefined dynamic_lookup")
ENDIF(APPLE)

# install it manually
#INSTALL(TARGETS ${SCRIBUS_SCRSPINBOX_PLUGIN}
#  LIBRARY
#  DESTINATION ${QT_INSTALL_PLUGINS}
#  PERMISSIONS ${PLUGIN_PERMISSIONS}
#)

# SET_TARGET_PROPERTIES(${SCRIBUS_DESIGNR_PLUGIN} PROPERTIES VERSION "0.0.0")
