=== scribus/dtd/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
"${CMAKE_SOURCE_DIR}/scribus"
)

INSTALL(FILES
scribuspdfoptions.dtd
  DESTINATION ${SHAREDIR}dtd
)
