=== scribus/designer/smwidgets/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)
SET(SCRIBUS_SMALIGNSELECTPLUGIN_PLUGIN_MOC_CLASSES
smalignselectplugin.h
../../smalignselect.h
../../alignselect.h
../../util_icon.h
../../scpaths.h
../../prefsmanager.h
../../commonstrings.h
../../actionmanager.h
)

SET(SCRIBUS_SMALIGNSELECTPLUGIN_PLUGIN_SOURCES
smalignselectplugin.cpp
../../smalignselect.cpp
../../alignselect.cpp
../../util_icon.cpp
../../scpaths.cpp
../../prefsmanager.cpp
../../commonstrings.cpp
../../actionmanager.cpp
)

SET(SCRIBUS_SMCOLORCOMBOPLUGIN_PLUGIN_MOC_CLASSES
smcolorcomboplugin.h
../../smcolorcombo.h
../../colorcombo.h
../../colorlistbox.h
../../commonstrings.h
)

SET(SCRIBUS_SMCOLORCOMBOPLUGIN_PLUGIN_SOURCES
smcolorcomboplugin.cpp
../../smcolorcombo.cpp
../../colorcombo.cpp
../../colorlistbox.cpp
../../commonstrings.cpp
)

SET(SCRIBUS_SMFONTCOMBOHPLUGIN_PLUGIN_MOC_CLASSES
smfontcombohplugin.h
../../smfontcomboh.h
../../fontcombo.h
)

SET(SCRIBUS_SMFONTCOMBOHPLUGIN_PLUGIN_SOURCES
smfontcombohplugin.cpp
../../smfontcomboh.cpp
../../fontcombo.cpp
)

SET(SCRIBUS_SMSCCOMBOBOXPLUGIN_PLUGIN_MOC_CLASSES
smsccomboboxplugin.h
../../smsccombobox.h
)

SET(SCRIBUS_SMSCCOMBOBOXPLUGIN_PLUGIN_SOURCES
smsccomboboxplugin.cpp
../../smsccombobox.cpp
)

SET(SCRIBUS_SMSCRSPINBOXPLUGIN_PLUGIN_MOC_CLASSES
smscrspinboxplugin.h
../../smscrspinbox.h
../../scrspinbox.h
)

SET(SCRIBUS_SMSCRSPINBOXPLUGIN_PLUGIN_SOURCES
smscrspinboxplugin.cpp
../../smscrspinbox.cpp
../../scrspinbox.cpp
)

SET(SCRIBUS_SMSHADEBUTTONPLUGIN_PLUGIN_MOC_CLASSES
smshadebuttonplugin.h
../../smshadebutton.h
../../shadebutton.h
)

SET(SCRIBUS_SMSHADEBUTTONPLUGIN_PLUGIN_SOURCES
smshadebuttonplugin.cpp
../../smshadebutton.cpp
../../shadebutton.cpp
)

SET(SCRIBUS_SMSPINBOXPLUGIN_PLUGIN_MOC_CLASSES
smspinboxplugin.h
../../smspinbox.h
)

SET(SCRIBUS_SMSPINBOXPLUGIN_PLUGIN_SOURCES
smspinboxplugin.cpp
../../smspinbox.cpp
)

SET(SCRIBUS_SMSTYLESELECTPLUGIN_PLUGIN_MOC_CLASSES
smstyleselectplugin.h
../../smstyleselect.h
../../styleselect.h
../../scrspinbox.h
)

SET(SCRIBUS_SMSTYLESELECTPLUGIN_PLUGIN_SOURCES
smstyleselectplugin.cpp
../../smstyleselect.cpp
../../styleselect.cpp
../../scrspinbox.cpp
)

SET(SCRIBUS_SMTABRULERPLUGIN_PLUGIN_MOC_CLASSES
smtabrulerplugin.h
../../smtabruler.h
../../tabruler.h
../../commonstrings.h
)

SET(SCRIBUS_SMTABRULERPLUGIN_PLUGIN_SOURCES
smtabrulerplugin.cpp
../../smtabruler.cpp
../../tabruler.cpp
../../commonstrings.cpp
)

SET(SCRIBUS_SMALIGNSELECTPLUGIN_PLUGIN "scribus_smalignselectplugin")
SET(SCRIBUS_SMCOLORCOMBOPLUGIN_PLUGIN "scribus_smcolorcomboplugin")
SET(SCRIBUS_SMFONTCOMBOHPLUGIN_PLUGIN "scribus_smfontcombohplugin")
SET(SCRIBUS_SMSCCOMBOBOXPLUGIN_PLUGIN "scribus_smsccomboboxplugin")
SET(SCRIBUS_SMSCRSPINBOXPLUGIN_PLUGIN "scribus_smscrspinboxplugin")
SET(SCRIBUS_SMSHADEBUTTONPLUGIN_PLUGIN "scribus_smshadebuttonplugin")
SET(SCRIBUS_SMSPINBOXPLUGIN_PLUGIN "scribus_smspinboxplugin")
SET(SCRIBUS_SMSTYLESELECTPLUGIN_PLUGIN "scribus_smstyleselectplugin")
SET(SCRIBUS_SMTABRULERPLUGIN_PLUGIN "scribus_smtabrulerplugin")
QT4_WRAP_CPP(SCRIBUS_SMALIGNSELECTPLUGIN_PLUGIN_MOC_SOURCES ${SCRIBUS_SMALIGNSELECTPLUGIN_PLUGIN_MOC_CLASSES})
QT4_WRAP_CPP(SCRIBUS_SMCOLORCOMBOPLUGIN_PLUGIN_MOC_SOURCES ${SCRIBUS_SMCOLORCOMBOPLUGIN_PLUGIN_MOC_CLASSES})
QT4_WRAP_CPP(SCRIBUS_SMFONTCOMBOHPLUGIN_PLUGIN_MOC_SOURCES ${SCRIBUS_SMFONTCOMBOHPLUGIN_PLUGIN_MOC_CLASSES})
QT4_WRAP_CPP(SCRIBUS_SMSCCOMBOBOXPLUGIN_PLUGIN_MOC_SOURCES ${SCRIBUS_SMSCCOMBOBOXPLUGIN_PLUGIN_MOC_CLASSES})
QT4_WRAP_CPP(SCRIBUS_SMSCRSPINBOXPLUGIN_PLUGIN_MOC_SOURCES ${SCRIBUS_SMSCRSPINBOXPLUGIN_PLUGIN_MOC_CLASSES})
QT4_WRAP_CPP(SCRIBUS_SMSHADEBUTTONPLUGIN_PLUGIN_MOC_SOURCES ${SCRIBUS_SMSHADEBUTTONPLUGIN_PLUGIN_MOC_CLASSES})
QT4_WRAP_CPP(SCRIBUS_SMSPINBOXPLUGIN_PLUGIN_MOC_SOURCES ${SCRIBUS_SMSPINBOXPLUGIN_PLUGIN_MOC_CLASSES})
QT4_WRAP_CPP(SCRIBUS_SMSTYLESELECTPLUGIN_PLUGIN_MOC_SOURCES ${SCRIBUS_SMSTYLESELECTPLUGIN_PLUGIN_MOC_CLASSES})
QT4_WRAP_CPP(SCRIBUS_SMTABRULERPLUGIN_PLUGIN_MOC_SOURCES ${SCRIBUS_SMTABRULERPLUGIN_PLUGIN_MOC_CLASSES})
ADD_LIBRARY(${SCRIBUS_SMALIGNSELECTPLUGIN_PLUGIN}
	SHARED ${SCRIBUS_SMALIGNSELECTPLUGIN_PLUGIN_SOURCES}
	${SCRIBUS_SMALIGNSELECTPLUGIN_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SMALIGNSELECTPLUGIN_PLUGIN} ${QT_LIBRARIES} )

ADD_LIBRARY(${SCRIBUS_SMCOLORCOMBOPLUGIN_PLUGIN}
	SHARED ${SCRIBUS_SMCOLORCOMBOPLUGIN_PLUGIN_SOURCES}
	${SCRIBUS_SMCOLORCOMBOPLUGIN_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SMCOLORCOMBOPLUGIN_PLUGIN} ${QT_LIBRARIES} )

ADD_LIBRARY(${SCRIBUS_SMFONTCOMBOHPLUGIN_PLUGIN}
	SHARED ${SCRIBUS_SMFONTCOMBOHPLUGIN_PLUGIN_SOURCES}
	${SCRIBUS_SMFONTCOMBOHPLUGIN_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SMFONTCOMBOHPLUGIN_PLUGIN} ${QT_LIBRARIES} )

ADD_LIBRARY(${SCRIBUS_SMSCCOMBOBOXPLUGIN_PLUGIN}
	SHARED ${SCRIBUS_SMSCCOMBOBOXPLUGIN_PLUGIN_SOURCES}
	${SCRIBUS_SMSCCOMBOBOXPLUGIN_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SMSCCOMBOBOXPLUGIN_PLUGIN} ${QT_LIBRARIES} )

ADD_LIBRARY(${SCRIBUS_SMSCRSPINBOXPLUGIN_PLUGIN}
	SHARED ${SCRIBUS_SMSCRSPINBOXPLUGIN_PLUGIN_SOURCES}
	${SCRIBUS_SMSCRSPINBOXPLUGIN_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SMSCRSPINBOXPLUGIN_PLUGIN} ${QT_LIBRARIES} )

ADD_LIBRARY(${SCRIBUS_SMSHADEBUTTONPLUGIN_PLUGIN}
	SHARED ${SCRIBUS_SMSHADEBUTTONPLUGIN_PLUGIN_SOURCES}
	${SCRIBUS_SMSHADEBUTTONPLUGIN_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SMSHADEBUTTONPLUGIN_PLUGIN} ${QT_LIBRARIES} )

ADD_LIBRARY(${SCRIBUS_SMSPINBOXPLUGIN_PLUGIN}
	SHARED ${SCRIBUS_SMSPINBOXPLUGIN_PLUGIN_SOURCES}
	${SCRIBUS_SMSPINBOXPLUGIN_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SMSPINBOXPLUGIN_PLUGIN} ${QT_LIBRARIES} )

ADD_LIBRARY(${SCRIBUS_SMSTYLESELECTPLUGIN_PLUGIN}
	SHARED ${SCRIBUS_SMSTYLESELECTPLUGIN_PLUGIN_SOURCES}
	${SCRIBUS_SMSTYLESELECTPLUGIN_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SMSTYLESELECTPLUGIN_PLUGIN} ${QT_LIBRARIES} )

ADD_LIBRARY(${SCRIBUS_SMTABRULERPLUGIN_PLUGIN}
	SHARED ${SCRIBUS_SMTABRULERPLUGIN_PLUGIN_SOURCES}
	${SCRIBUS_SMTABRULERPLUGIN_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SMTABRULERPLUGIN_PLUGIN} ${QT_LIBRARIES} )

IF(APPLE)
  TARGET_LINK_LIBRARIES(${SCRIBUS_SMALIGNSELECTPLUGIN_PLUGIN} "-undefined dynamic_lookup")

  TARGET_LINK_LIBRARIES(${SCRIBUS_SMCOLORCOMBOPLUGIN_PLUGIN} "-undefined dynamic_lookup")

  TARGET_LINK_LIBRARIES(${SCRIBUS_SMFONTCOMBOHPLUGIN_PLUGIN} "-undefined dynamic_lookup")

  TARGET_LINK_LIBRARIES(${SCRIBUS_SMSCCOMBOBOXPLUGIN_PLUGIN} "-undefined dynamic_lookup")

  TARGET_LINK_LIBRARIES(${SCRIBUS_SMSCRSPINBOXPLUGIN_PLUGIN} "-undefined dynamic_lookup")

  TARGET_LINK_LIBRARIES(${SCRIBUS_SMSHADEBUTTONPLUGIN_PLUGIN} "-undefined dynamic_lookup")

  TARGET_LINK_LIBRARIES(${SCRIBUS_SMSPINBOXPLUGIN_PLUGIN} "-undefined dynamic_lookup")

  TARGET_LINK_LIBRARIES(${SCRIBUS_SMSTYLESELECTPLUGIN_PLUGIN} "-undefined dynamic_lookup")

  TARGET_LINK_LIBRARIES(${SCRIBUS_SMTABRULERPLUGIN_PLUGIN} "-undefined dynamic_lookup")
ENDIF(APPLE)
