=== scribus/plugins/colorwheel/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

SET(COLORWHEEL_PLUGIN_UI_SRC
cwdialog.ui
)

SET(COLORWHEEL_PLUGIN_MOC_CLASSES
colorwheel.h
colorwheelwidget.h
cwdialog.h
)

SET(COLORWHEEL_PLUGIN_SOURCES
colorwheel.cpp
colorwheelwidget.cpp
cwdialog.cpp
)

SET(SCRIBUS_COLORWHEEL_PLUGIN "colorwheel")

QT4_WRAP_UI(COLORWHEEL_PLUGIN_UI_SOURCES ${COLORWHEEL_PLUGIN_UI_SRC} )
QT4_WRAP_CPP(COLORWHEEL_PLUGIN_MOC_SOURCES ${COLORWHEEL_PLUGIN_MOC_CLASSES})

ADD_LIBRARY(${SCRIBUS_COLORWHEEL_PLUGIN} MODULE ${COLORWHEEL_PLUGIN_SOURCES} ${COLORWHEEL_PLUGIN_MOC_SOURCES} ${COLORWHEEL_PLUGIN_UI_CPP} ${COLORWHEEL_PLUGIN_UI_SOURCES})

TARGET_LINK_LIBRARIES(${SCRIBUS_COLORWHEEL_PLUGIN} ${PLUGIN_LIBRARIES})

INSTALL(TARGETS ${SCRIBUS_COLORWHEEL_PLUGIN}
  LIBRARY
  DESTINATION ${PLUGINDIR}
  PERMISSIONS ${PLUGIN_PERMISSIONS}
)

# SET_TARGET_PROPERTIES(${SCRIBUS_COLORWHEEL_PLUGIN} PROPERTIES VERSION "0.0.0")
