=== scribus/plugins/fileloader/CMakeLists.txt ===
#Subdirectories
ADD_SUBDIRECTORY(scribus134format)
ADD_SUBDIRECTORY(scribus13format)
ADD_SUBDIRECTORY(scribus12format)
