=== scribus/plugins/import/CMakeLists.txt ===
ADD_SUBDIRECTORY(ai)
ADD_SUBDIRECTORY(cvg)
ADD_SUBDIRECTORY(oodraw)
ADD_SUBDIRECTORY(pct)
ADD_SUBDIRECTORY(ps)
ADD_SUBDIRECTORY(svg)
ADD_SUBDIRECTORY(wmf)
ADD_SUBDIRECTORY(xfig)
