=== debian/changelog ===
scribus (1.4.6+dfsg-4build1) artful; urgency=medium

  * No-change rebuild against libpodofo0.9.5.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Thu, 22 Jun 2017 19:04:42 +0200

scribus (1.4.6+dfsg-4) unstable; urgency=medium

  * [bb44541] d/control: add "Multi-Arch: foreign" marker.
  * [f157a10] Bump debhelper compat level to 10.
    Drop explicit --parallel option, now default.
  * [4014b3f] d/watch: only match releases from the 1.4.x branch.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 08 Oct 2016 20:00:41 +0000

scribus (1.4.6+dfsg-3) unstable; urgency=medium

  * [e5bce04] d/control: Bump Standards-Version to 3.9.8, no changes needed.
  * [7dc4bc5] Copy high res icons from upstream trunk.
  * [ec53f3e] Stop installing that awful low res icon.
  * [9dc7943] Add appstream metadata.  This has been copied from the scribus-ng
    package.  Thanks to Matthias Klumpp for the help-
  * [cab0b3e] d/scribus.mime: delete, it's probably totally redundant.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 22 May 2016 08:55:50 +0000

scribus (1.4.6+dfsg-2) unstable; urgency=medium

  * debian/control:
    + [a5cb3d9] Bump Standards-Version to 3.9.7, no changes needed.
    + [cd83e0b] Use HTTPS in Vcs-Git.
    + [954d474] specify this is the stable branch also in -data and -dev.
  * [5481869] Stop installing our copy of scribus.xpm.  The Upstream-provided
    scribus.png is a good enough icon.
  * [d485971] Stop installing the TODO file, it contains nothing useful.
  * Changes done to have all 3 scribus packages (scribus and scribus-{ng,trunk})
    both in their debian version (with non-dfsg file stripped) and upstream
    build out of the same debian/ directory as much as possible:
    + [eca36ad] debian/copyright: Files-Excluded use 1.?.? in the directory name
    + [1954d97] copy the icon in the right directory here, then ask dh_install
      to install the whole pixmaps directory.
    + [4c30a70] debian/control: Build-Depend on dh-exec
    + debian/rules:
      - [55c9d59,1d92302] add some noop code.
      - [27bbe92] export $p to the environment
      - [c89f99b] just install the .desktop file with a sane name directly in
        /usr/share/applications, instead of having to move it around later.
    + [1b5bcc5] parametrize the package name with dh-exec in d/*.{install,links}
  * [6899854] lintian-overrides: override dh-exec-subst-unknown-variable.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 22 Mar 2016 17:03:41 +0000

scribus (1.4.6+dfsg-1) unstable; urgency=medium

  * [82759c4] Imported Upstream version 1.4.6+dfsg.
    http://wiki.scribus.net/canvas/Scribus_1.4.6_Release
  * [42af1c2] debian/{control,copyright}: use my @debian.org email address-
  * [220819b] debian/patches: refresh them all.
  * [9468eab] Fix typos in packaging files.  Thanks codespell.
  * debian/control:
    + [4b5506d] Remove malex from maintainer and put myself in.
      Thank you for maintaining scribus for so long!
    + [01988ce] Remove useless version costraints.
    + [f81b9d5] Build-dep on dh-python, python-all, instead of python-all-dev.
    + [5d6f574] Drop old/useless ${python:Provides} substvar.
  * debian/rules:
    + [5a6a8db,8e5df2c] parametrize 'scribus' it in a variable.
    + [cec468d] debian/rules: use DH_VERBOSE=1.
    + [4ed094a] debian/rules: call dh_python2 over python scripts.
  * debian/copyright:
    + [59548e7] Remove scribus-1.4.?/resources/swatches/CIE-* from the tarball.
    + [304e0e6] Update copyright years to 2016.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 12 Jan 2016 20:11:07 +0000

scribus (1.4.5+dfsg1-5) unstable; urgency=medium

  * [56e1b09] d/p/support-arbitrary-hyphenator-name: allow the dicts to be
    symlinked.  Closes: #804477

 -- Mattia Rizzolo <mattia@mapreri.org>  Mon, 09 Nov 2015 19:12:51 +0000

scribus (1.4.5+dfsg1-4) unstable; urgency=medium

  * [8966ea3] debian/scribus.menu: delete, per recent CTTE decision
  * [3b57457] debian/rules: just exclude all .so from dh_fixperms.
    That way it'll run over the directory and thus making the build
    reproducible again.  Thanks to Santiago Vila for the suggestion.

 -- Mattia Rizzolo <mattia@mapreri.org>  Sun, 11 Oct 2015 08:03:03 +0000

scribus (1.4.5+dfsg1-3) unstable; urgency=medium

  * debian/patches:
    + [6adc33a] support-arbitrary-hyphenator-name: add to actually be able to
      use the system hyphenators.  Closes: #771471
    + [fa2d424] meld the patch for #762942 with the last one, they are related
      and this one is a "consequence" of the old one.

 -- Mattia Rizzolo <mattia@mapreri.org>  Sun, 27 Sep 2015 20:03:44 +0000
